Package skyview.process

# Interface ExposureFinder

All Known Implementing Classes:
  `ExposureFile`, `FitsKeyword`, `Null`

public interface ExposureFinder
This interface should be implemented by objects that can calculate the exposure corresponding to a given pixel in an image.

## Method Summary

Modifier and Type
Method
Description
`double`
`getExposure(int pixel)`
Get the exposure for a given pixel.
`void`
`setImage(Image input, Image output, Sampler samp)`
Specify the input image for which we are going to get the exposure.

## Method Details

### setImage

void setImage(Image input, Image output, Sampler samp)
Specify the input image for which we are going to get the exposure.

### getExposure

double getExposure(int pixel)
Get the exposure for a given pixel. For 3-d images the exposure is assumed to be constant in the energy dimension. This is probably not true, but we don't anticipate adding 3-d images much.